<template>
  <div>
    <v-dialog
      width="50%"
      height="auto"
      v-model="selectedValue"
      name="delete_client"
    >
      <v-card>
        <v-card-title class="light">
          A jeni të sigurtë për fshirjen e grupit : <i>'{{ label }}'</i>
        </v-card-title>
        <v-card-actions>
          <v-spacer />
          <v-btn text @click="selectedValue = false">Anullo</v-btn>
          <v-btn
            text
            color="primary"
            @click="deleteClientGroup"
            :disabled="disabled"
            >Fshi</v-btn
          >
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../../../plugins/api'
import { Component, Prop, Watch } from 'vue-property-decorator'
import eventBus from '../../../../plugins/event-bus'
@Component({
  components: {},
})
export default class DeleteClientGroup extends Vue {
  @Prop({ type: Boolean, required: true }) value
  @Prop({ type: Object, required: true }) clientGroup
  @Watch('clientGroup')
  onClientGroupChanged(newValue) {
    this.label = newValue.data.text
  }
  label = ''
  disabled = false

  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
  deleteClientGroup() {
    const id = this.clientGroup.id
    this.disabled = true
    api()
      .delete(`api/crm/client-groups/${id}`)
      .then(() => {
        this.selectedValue = false
        eventBus.$emit('refresh')
      })
      .catch(error => {
        alert(error.message)
      })
      .finally(() => {
        this.disabled = false
      })
  }
}
</script>
